{-# LANGUAGE DeriveGeneric #-}
module Data.URL where

import GHC.Generics (Generic)
import Data.SafeCopy (SafeCopy)
import Control.Lens

newtype URL = URL String
  deriving (Show, Eq, Ord, Generic)

_URL :: Iso' URL String
_URL = iso (\(URL u) -> u) URL

instance SafeCopy URL
